Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.xml.stream
Class XMLStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javolution.xml.stream.XMLStreamException

All Implemented Interfaces:
  java.io.Serializable

    public class XMLStreamException

extends java.lang.Exception

This class represents the base exception for unexpected processing errors.

Version:
  3.8, May 22, 2006
Author:
  Jean-Marie Dautelle
See Also:
  Serialized Form

Constructor Summary
`XMLStreamException()` Default constructor
`XMLStreamException(java.lang.String msg)` Constructs an exception with the assocated message.
`XMLStreamException(java.lang.String msg, Location location)` Constructs an exception with the assocated message, exception and location.
`XMLStreamException(java.lang.String msg, Location location, java.lang.Throwable nested)` Constructs an exception with the assocated message, exception and location.
`XMLStreamException(java.lang.String msg, java.lang.Throwable nested)` Constructs an exception with the assocated message and exception.
`XMLStreamException(java.lang.Throwable nested)` Constructs an exception with the assocated nested exception.

Method Summary
`Location` | `getLocation()` Returns the location of the exception.
`java.lang.Throwable` | `getNestedException()` Returns the nested exception.
`java.lang.String` | `toString()` Returns the textual representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLStreamException

    public XMLStreamException()

  Default constructor

### XMLStreamException

    public XMLStreamException(java.lang.String msg)

  Constructs an exception with the assocated message.

  Parameters:
    `msg` - the message to report.

### XMLStreamException

    public XMLStreamException(java.lang.Throwable nested)

  Constructs an exception with the assocated nested exception.

  Parameters:
    `nested` - the nested exception.

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              java.lang.Throwable nested)

  Constructs an exception with the assocated message and exception.

  Parameters:
    `msg` - the message to report.
    `nested` - the nested exception.

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              Location location,
                              java.lang.Throwable nested)

  Constructs an exception with the assocated message, exception and location.

  Parameters:
    `msg` - the message to report.
    `location` - the location.
    `nested` - the nested exception.

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              Location location)

  Constructs an exception with the assocated message, exception and location.

  Parameters:
    `msg` - the message to report
    `location` - the location of the error

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

  Returns the nested exception.

  Returns:
    the nested exception

### getLocation

    public Location getLocation()

  Returns the location of the exception.

  Returns:
    the location of the exception or `null` if none is available

### toString

    public java.lang.String toString()

  Returns the textual representation of this exception.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    the string representation of the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.